=== debian/changelog ===
libkf5eventviews (4:16.04.2-2) unstable; urgency=low

  * Release to unstable.

 -- Maximiliano Curia <maxy@debian.org>  Thu, 07 Jul 2016 10:18:41 +0200

libkf5eventviews (4:16.04.2-1) experimental; urgency=medium

  [ Automatic packaging ]
  * Refresh patches

 -- Maximiliano Curia <maxy@debian.org>  Fri, 01 Jul 2016 21:34:18 +0200

libkf5eventviews (4:16.04.1-1) experimental; urgency=medium

  * Initial release.
  * Add missing Breaks/Replasces
  * Add -dev dependencies needed by the cmake file
  * Add new upstream patch: upstream_add_copying_files.patch

 -- Maximiliano Curia <maxy@debian.org>  Mon, 06 Jun 2016 22:22:20 +0200
