=== debian/control ===
Source: libkf5eventviews
Section: libs
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 2.8.12~),
               debhelper (>= 9),
               extra-cmake-modules (>= 5.24.0~),
               libkf5akonadi-dev (>= 4:16.04.3~),
               libkf5akonadicalendar-dev (>= 4:16.04.3~),
               libkf5calendarcore-dev (>= 4:16.04.3~),
               libkf5calendarsupport-dev (>= 4:16.04.3~),
               libkf5calendarutils-dev (>= 4:16.04.3~),
               libkf5codecs-dev (>= 5.24.0~),
               libkf5i18n-dev (>= 5.24.0~),
               libkf5identitymanagement-dev (>= 16.04.3~),
               libkf5kdgantt2-dev (>= 4:16.04.3~),
               libkf5libkdepim-dev (>= 4:16.04.3~),
               libkf5mime-dev (>= 16.04.3~),
               pkg-kde-tools (>= 0.12),
               qtbase5-dev (>= 5.6.1~),
               qttools5-dev (>= 5.6.1~)
Standards-Version: 3.9.8
Homepage: http://pim.kde.org/
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/eventviews
Vcs-Git: git://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/eventviews

Package: libkf5eventviews5
Architecture: any
Multi-Arch: same
Depends: libkf5eventviews-data (>= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: KDE PIM event handling - library
 This library provides an event creator for KDE PIM.
 .
 This package provides the shared libraries.

Package: libkf5eventviews-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Breaks: korganizer (<= 4:16.04)
Replaces: korganizer (<= 4:16.04)
Description: KDE PIM event handling - data files
 This library provides an event creator for KDE PIM.
 .
 This package provides the data files used by the library.

Package: libkf5eventviews-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libkf5akonadi-dev (>= 4:16.04.3~),
         libkf5akonadicalendar-dev (>= 4:16.04.3~),
         libkf5calendarsupport-dev (>= 4:16.04.3~),
         libkf5calendarutils-dev (>= 4:16.04.3~),
         libkf5eventviews5 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: KDE PIM event handling - devel files
 This library provides an event creator for KDE PIM.
 .
 This package provides the development files.
