## libkf5eventviews 17.04.3

=== debian/changelog ===
libkf5eventviews (4:17.04.3-0ubuntu1) artful; urgency=medium

  [ Rik Mills ]
  * Drop build depend on libkf5kdgantt2-dev. Replaced by libkgantt-dev
    from kdiagram.

  [ José Manuel Santamaría Lema ]
  * New upstream release (17.04.1)
  * Install usr/share/locale/ by -data package
  * Add Breaks/Replaces against kde-l10n
  * New upstream release (17.04.2)
  * New upstream release (17.04.3)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Mon, 21 Aug 2017 14:34:16 +0100

libkf5eventviews (4:16.12.3-0ubuntu1) artful; urgency=medium

  [ Clive Johnston ]
  * New upstream release (16.08.1)
  * Adding new file to install

  [ Rik Mills ]
  * New upstream release (16.12.0)
  * New upstream release (16.12.1)

  [ Darin Miller ]
  * New upstream release (16.12.2)

  [ José Manuel Santamaría Lema ]
  * Pass '-fno-keep-inline-functions' to gcc in the acc test in order to
    avoid possible spurious test failures.
  * New upstream release (16.12.3)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Mon, 01 May 2017 20:29:04 +0100

libkf5eventviews (4:16.04.3-0ubuntu2) UNRELEASED; urgency=medium

  * Update Vcs-Git fields to use https:// instead of git://

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sat, 29 Oct 2016 17:16:41 +0200
