=== debian/control ===
--- 
+++ 
@@ -6,21 +6,21 @@
 Build-Depends: cmake (>= 2.8.12~),
                debhelper (>= 9),
                extra-cmake-modules (>= 5.31.0~),
-               libkf5akonadi-dev (>= 4:17.12.3~),
-               libkf5akonadicalendar-dev (>= 4:17.12.3~),
-               libkf5calendarcore-dev (>= 4:17.12.3~),
-               libkf5calendarsupport-dev (>= 4:17.12.3~),
-               libkf5calendarutils-dev (>= 4:17.12.3~),
+               libkf5akonadi-dev (>= 4:18.04.3~),
+               libkf5akonadicalendar-dev (>= 4:18.04.3~),
+               libkf5calendarcore-dev (>= 4:18.04.3~),
+               libkf5calendarsupport-dev (>= 4:18.04.3~),
+               libkf5calendarutils-dev (>= 4:18.04.3~),
                libkf5codecs-dev (>= 5.31.0~),
-               libkf5contacteditor-dev (>= 4:17.12.3~),
+               libkf5contacteditor-dev (>= 4:18.04.3~),
                libkf5i18n-dev (>= 5.31.0~),
-               libkf5identitymanagement-dev (>= 17.12.3~),
-               libkf5libkdepim-dev (>= 4:17.12.3~),
-               libkf5mime-dev (>= 17.12.3~),
+               libkf5identitymanagement-dev (>= 18.04.3~),
+               libkf5libkdepim-dev (>= 4:18.04.3~),
+               libkf5mime-dev (>= 18.04.3~),
                libkgantt-dev,
                pkg-kde-tools (>= 0.12),
                qtbase5-dev (>= 5.6.1~),
-               qttools5-dev (>= 5.6.1~)
+               qttools5-dev (>= 5.6.1~),
 Standards-Version: 3.9.8
 Homepage: http://pim.kde.org/
 Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/eventviews
@@ -52,13 +52,13 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: libkf5akonadi-dev (>= 4:17.12.3~),
-         libkf5akonadicalendar-dev (>= 4:17.12.3~),
-         libkf5calendarsupport-dev (>= 4:17.12.3~),
-         libkf5calendarutils-dev (>= 4:17.12.3~),
+Depends: libkf5akonadi-dev (>= 4:18.04.3~),
+         libkf5akonadicalendar-dev (>= 4:18.04.3~),
+         libkf5calendarsupport-dev (>= 4:18.04.3~),
+         libkf5calendarutils-dev (>= 4:18.04.3~),
          libkf5eventviews5 (= ${binary:Version}),
          ${misc:Depends},
-         ${shlibs:Depends}
+         ${shlibs:Depends},
 Description: KDE PIM event handling - devel files
  This library provides an event creator for KDE PIM.
  .
