## libkf5eventviews 18.08.3.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,16 +1,16 @@
 cmake_minimum_required(VERSION 3.0)
-set(PIM_VERSION "5.7.3")
+set(PIM_VERSION "5.9.3")
 
 project(eventviews VERSION ${PIM_VERSION})
 
 # ECM setup
-set(KF5_VERSION "5.39.0")
+set(KF5_VERSION "5.47.0")
 
 find_package(ECM ${KF5_VERSION} CONFIG REQUIRED)
 set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})
 set(LIBRARY_NAMELINK)
-if (POLICY CMP0053)
-    cmake_policy(SET CMP0053 NEW)
+if(POLICY CMP0053)
+  cmake_policy(SET CMP0053 NEW)
 endif()
 include(GenerateExportHeader)
 include(ECMSetupVersion)
@@ -26,18 +26,15 @@
 include(ECMAddTests)
 include(ECMCoverageOption)
 
-
-
-
 set(EVENTVIEW_LIB_VERSION ${PIM_VERSION})
-set(CALENDARUTILS_LIB_VERSION "5.7.3")
-set(AKONADI_LIB_VERSION "5.7.3")
-set(QT_REQUIRED_VERSION "5.8.0")
-set(KCALENDARCORE_LIB_VERSION "5.7.3")
-set(AKONADICALENDAR_LIB_VERSION "5.7.3")
-set(KMIME_LIB_VERSION "5.7.3")
-set(LIBKDEPIM_LIB_VERSION "5.7.3")
-set(CALENDARSUPPORT_LIB_VERSION "5.7.3")
+set(CALENDARUTILS_LIB_VERSION "5.9.3")
+set(AKONADI_LIB_VERSION "5.9.3")
+set(QT_REQUIRED_VERSION "5.9.0")
+set(KCALENDARCORE_LIB_VERSION "5.9.3")
+set(AKONADICALENDAR_LIB_VERSION "5.9.3")
+set(KMIME_LIB_VERSION "5.9.3")
+set(LIBKDEPIM_LIB_VERSION "5.9.3")
+set(CALENDARSUPPORT_LIB_VERSION "5.9.3")
 
 find_package(KF5Akonadi ${AKONADI_LIB_VERSION} CONFIG REQUIRED)
 find_package(Qt5 ${QT_REQUIRED_VERSION} CONFIG REQUIRED Widgets UiTools)
@@ -47,6 +44,7 @@
 find_package(KF5IconThemes ${KF5_VERSION} CONFIG REQUIRED)
 find_package(KF5Service ${KF5_VERSION} CONFIG REQUIRED)
 find_package(KF5Completion ${KF5_VERSION} CONFIG REQUIRED)
+find_package(KF5Holidays ${KF5_VERSION} CONFIG REQUIRED)
 
 set(KDIAGRAM_LIB_VERSION "1.4.0")
 find_package(KGantt ${KDIAGRAM_LIB_VERSION} CONFIG REQUIRED)
@@ -77,7 +75,7 @@
 configure_package_config_file(
   "${CMAKE_CURRENT_SOURCE_DIR}/KF5EventViewsConfig.cmake.in"
   "${CMAKE_CURRENT_BINARY_DIR}/KF5EventViewsConfig.cmake"
-  INSTALL_DESTINATION  ${CMAKECONFIG_INSTALL_DIR}
+  INSTALL_DESTINATION ${CMAKECONFIG_INSTALL_DIR}
 )
 
 install(FILES
@@ -90,16 +88,16 @@
 install(EXPORT KF5EventViewsTargets DESTINATION "${CMAKECONFIG_INSTALL_DIR}" FILE KF5EventViewsTargets.cmake NAMESPACE KF5::)
 
 install(FILES
-   ${CMAKE_CURRENT_BINARY_DIR}/eventviews_version.h
+  ${CMAKE_CURRENT_BINARY_DIR}/eventviews_version.h
   DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF5} COMPONENT Devel
 )
 
+add_subdirectory(src)
+if(BUILD_TESTING)
+  find_package(Qt5 ${QT_REQUIRED_VERSION} CONFIG REQUIRED Test)
+  add_subdirectory(tests)
+endif()
 
-add_subdirectory(src)
-if (BUILD_TESTING)
-    find_package(Qt5 ${QT_REQUIRED_VERSION} CONFIG REQUIRED Test)
-   add_subdirectory(tests)
-endif()
-install( FILES eventviews.renamecategories eventviews.categories DESTINATION ${KDE_INSTALL_CONFDIR} )
+install(FILES eventviews.renamecategories eventviews.categories DESTINATION ${KDE_INSTALL_CONFDIR})
 feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)
 ki18n_install(po)
