=== debian/changelog ===
libkf5eventviews (4:18.08.3.1-1+eagle) unstable; urgency=medium

  * update

 -- Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Thu, 28 Jan 2021 19:40:46 +0800
