## libkf5eventviews 18.12.3

=== debian/changelog ===
libkf5eventviews (4:18.12.3-0ubuntu2) disco; urgency=medium

  * No-change rebuild for fixed akonadi server.

 -- Rik Mills <rikmills@kubuntu.org>  Sun, 07 Apr 2019 17:44:24 +0100

libkf5eventviews (4:18.12.3-0ubuntu1) disco; urgency=medium

  * New build dep on kholidays
  * New upstream release (18.12.3)

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 16 Mar 2019 15:04:06 +0000

libkf5eventviews (4:18.04.3-0ubuntu2) disco; urgency=medium

  * Follow Debian dropping of autotests.

 -- Rik Mills <rikmills@kubuntu.org>  Wed, 06 Feb 2019 19:11:19 +0000
